
global
    stats socket /var/run/haproxy.sock mode 600 level admin
    stats timeout 2m
    log 127.0.0.1 local0 notice
    maxconn 2000
    user haproxy
    group haproxy


defaults
    log     global
    mode    http
    option  httplog
    option  dontlognull
    retries 3
    option redispatch
    timeout connect  5000
    timeout client  10000
    timeout server  10000



frontend catapp-frontend
  bind 0.0.0.0:80
  mode http
  default_backend catapp-backend

backend catapp-backend
    mode http
    stats enable
    stats uri /haproxy?stats
    stats realm Strictly\ Private
    stats auth {{ haproxy_admin }}:{{ haproxy_basic_auth_password }}
    balance roundrobin
    option httpclose
    option forwardfor
    cookie SRVNAME insert
{% for item in groups.web  %}
    server {{ item }} {{ hostvars[item].openstack.private_v4 }}:80 cookie S{{ loop.index }} check
{% endfor %}
